Get an AI Inbox Manager
curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a1f0d3-2447-7ff3-a5f8-a1abd6c5930d",
"organization_id": "01a1f0d3-2447-7ff3-a5f8-a1ac70a7aef8",
"name": "Test AI Agent",
"payload": {
"configuration_type": 1,
"tags": [
"default"
],
"handle_followup": true,
"respond_to_automatic_emails": true,
"handle_objections": true,
"integrations": {
"slack": {
"connectionId": "01a1f0d3-2446-7d75-a56f-a4ad96232de7",
"connectionName": "My Connection"
}
},
"no_show": {
"enabled": true,
"max_followups": 3
},
"trigger_on_labels_enabled": false,
"trigger_on_labels": [
1,
-1
],
"trigger_on_labels_mode": "include",
"monthly_credit_budget": 1000,
"followup_business_days_only": true,
"followup_delay": 3,
"followup_delay_unit": "days"
},
"timestamp_created": "2026-11-18T22:42:11.655Z",
"timestamp_updated": "2026-11-18T22:42:11.655Z",
"status": 1,
"type": 1,
"is_auto_created": false,
"created_by": "01a1f0d3-2447-7ff3-a5f8-a1ad7346d1da",
"description": "Optional agent description",
"metadata": {
"tags": {
"tag-id": {
"id": "tag-id",
"label": "Tag Label"
}
}
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Inbox Manager
Get an AI Inbox Manager
Retrieve a single AI Inbox Manager with its full configuration.
Requires one of the following scopes: ai_agents:read, ai_agents:all, all:read, all:all
GET
/
api
/
v2
/
ai-agents
/
inbox-manager
/
{id}
Get an AI Inbox Manager
curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a1f0d3-2447-7ff3-a5f8-a1abd6c5930d",
"organization_id": "01a1f0d3-2447-7ff3-a5f8-a1ac70a7aef8",
"name": "Test AI Agent",
"payload": {
"configuration_type": 1,
"tags": [
"default"
],
"handle_followup": true,
"respond_to_automatic_emails": true,
"handle_objections": true,
"integrations": {
"slack": {
"connectionId": "01a1f0d3-2446-7d75-a56f-a4ad96232de7",
"connectionName": "My Connection"
}
},
"no_show": {
"enabled": true,
"max_followups": 3
},
"trigger_on_labels_enabled": false,
"trigger_on_labels": [
1,
-1
],
"trigger_on_labels_mode": "include",
"monthly_credit_budget": 1000,
"followup_business_days_only": true,
"followup_delay": 3,
"followup_delay_unit": "days"
},
"timestamp_created": "2026-11-18T22:42:11.655Z",
"timestamp_updated": "2026-11-18T22:42:11.655Z",
"status": 1,
"type": 1,
"is_auto_created": false,
"created_by": "01a1f0d3-2447-7ff3-a5f8-a1ad7346d1da",
"description": "Optional agent description",
"metadata": {
"tags": {
"tag-id": {
"id": "tag-id",
"label": "Tag Label"
}
}
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Authorizations
Path Parameters
Query Parameters
Response
The requested AI Inbox Manager
An AI Inbox Manager agent